Create a sub-publishing agreement
curl --request POST \
--url https://api.royalti.io/publisher/sub-publishing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"originalPublisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subPublisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agreementNumber": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"terms": {
"territories": [
"<string>"
],
"rightTypes": [],
"shares": {
"pr": 123,
"mr": 123,
"sr": 123
},
"exclusivity": true,
"restrictions": [
"<string>"
]
},
"endDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.royalti.io/publisher/sub-publishing"
payload = {
"originalPublisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subPublisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agreementNumber": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"terms": {
"territories": ["<string>"],
"rightTypes": [],
"shares": {
"pr": 123,
"mr": 123,
"sr": 123
},
"exclusivity": True,
"restrictions": ["<string>"]
},
"endDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
originalPublisherId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
subPublisherId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agreementNumber: '<string>',
startDate: '2023-11-07T05:31:56Z',
terms: {
territories: ['<string>'],
rightTypes: [],
shares: {pr: 123, mr: 123, sr: 123},
exclusivity: true,
restrictions: ['<string>']
},
endDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.royalti.io/publisher/sub-publishing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"agreement": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originalPublisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subPublisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": 123,
"agreementNumber": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"terms": {
"rightTypes": [],
"shares": {},
"retentionRate": 50,
"territories": [
"<string>"
],
"exclusivity": true,
"restrictions": [
"<string>"
],
"minimumGuarantee": {
"amount": 123,
"currency": "<string>"
},
"recoupmentTerms": {
"recoupable": true,
"recoupmentRate": 123,
"crossCollateralization": true
}
},
"originalPublisher": {},
"subPublisher": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}Publishers
Create a sub-publishing agreement
POST /publisher/sub-publishing
POST
/
publisher
/
sub-publishing
Create a sub-publishing agreement
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
POST /publisher/sub-publishing Validates that both publishers exist in the tenant, checks territory conflicts against the sub-publisher’s existing coverage, and (on success) creates matchingPublisherTerritory rows for the
sub-publisher for each territory in terms.territories.
Authorization: admin role + publisher addon.
Code Examples
const response = await fetch('https://api.royalti.io/publisher/sub-publishing', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"ref": "#/components/schemas/CreateSubPublishingAgreementRequest"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/publisher/sub-publishing',
headers={
'Authorization': f'Bearer {token}'
},
json={"ref":"#/components/schemas/CreateSubPublishingAgreementRequest"}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/publisher/sub-publishing \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"ref":"#/components/schemas/CreateSubPublishingAgreementRequest"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
⌘I